net.minecraft.item.crafting

## Class ShapedRecipes

- java.lang.Object
- - net.minecraft.item.crafting.ShapedRecipes

- All Implemented Interfaces:
    IRecipe
  Direct Known Subclasses:
    RecipesMapExtending

      public class ShapedRecipes
      extends java.lang.Object
      implements IRecipe

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `recipeHeight`
    `ItemStack[]` | `recipeItems`
    `int` | `recipeWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapedRecipes(int par1, int par2, ItemStack[] par3ArrayOfItemStack, ItemStack par4ItemStack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShapedRecipes` | `func_92100_c()`
    `ItemStack` | `getCraftingResult(InventoryCrafting par1InventoryCrafting)`
    `ItemStack` | `getRecipeOutput()`
    `int` | `getRecipeSize()`
    `boolean` | `matches(InventoryCrafting par1InventoryCrafting, World par2World)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### recipeWidth

          public final int recipeWidth

    - #### recipeHeight

          public final int recipeHeight

    - #### recipeItems

          public final ItemStack[] recipeItems

  - ### Constructor Detail

    - #### ShapedRecipes

          public ShapedRecipes(int par1,
                       int par2,
                       ItemStack[] par3ArrayOfItemStack,
                       ItemStack par4ItemStack)

  - ### Method Detail

    - #### getRecipeOutput

          public ItemStack getRecipeOutput()

      Specified by:
        `getRecipeOutput` in interface `IRecipe`

    - #### matches

          public boolean matches(InventoryCrafting par1InventoryCrafting,
                        World par2World)

      Specified by:
        `matches` in interface `IRecipe`

    - #### getCraftingResult

          public ItemStack getCraftingResult(InventoryCrafting par1InventoryCrafting)

      Specified by:
        `getCraftingResult` in interface `IRecipe`

    - #### getRecipeSize

          public int getRecipeSize()

      Specified by:
        `getRecipeSize` in interface `IRecipe`

    - #### func_92100_c

          public ShapedRecipes func_92100_c()